Download iOKids Today!

Old Devices May Expose Your Kid's Data

June 02, 2017

Old Devices May Expose Your Kid's Data

Did you know that if the phone or tablet your child is using doesn’t support the latest operating system software, you are putting them at risk?

I have done it, you have probably done it too.

I gave my child my old device when I upgraded to the latest model. I never gave it a second thought, until now.

Every time Apple puts out a new update, it is to fix operating bugs and security. You read that right, SECURITY! Apple is dedicated to ensuring that the data stored on your device is protected.

If the device that you passed to your child no longer supports the latest device operating software, it is quite possibly a version of software that hackers have jail broke. By jail breaking a device, the device's app data can be exposed and it is putting them at risk for their data to be collected and used against your authorization.

Dynepic’s iOKids Platform only works on the latest software versions (current version minus 2), to ensure the safety and security of your child. Kids want to be online to interact with friends, family and apps, and the iOKids Platform provides a safe “internet playground” for them. We are constantly improving our network security with app updates as well. Please update to the latest iOKids app version when they are released.

The latest Apple software is 10.3.2 and iOKids requires 10.2 or newer on the following devices:

  • iPhone 5 and later
  • iPad 4th generation and later
  • iPod touch 6th generation and later


Leave a comment

Comments will be approved before showing up.